%define name	multiplicationstation
%define version	0.6.5
%define release	%mkrel 2

Summary:        Math game, Multiplication Station will teach your child to add, subtract and multiply
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-0.6.5-fix-path.patch
URL:            http://www.asymptopia.org/
License:        GPLv2+ 
Group:          Games/Boards
BuildRequires:  imagemagick
Requires:   python-pygame
Requires:   wxPythonGTK
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}
 
%description
Math game, Multiplication Station will teach your child to add, subtract and multiply

%prep
%setup -q -n %name
%patch0  -p0 -b .path_fix

%build

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}
cp -pr Font %{buildroot}%{_gamesdatadir}/%{name}
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}/lib
cp -pr MultiplicationStation %{buildroot}%{_gamesdatadir}/%{name}/lib
cp .mstation_config_master  %{buildroot}%{_gamesdatadir}/%{name}

install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 mstation.py %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_miconsdir}
convert -resize 48x48 mstation.ico %{buildroot}%{_liconsdir}/%{name}.png
convert -resize 32x32 mstation.ico %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 16x16 mstation.ico %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=multiplicationstation
Comment=Math game will teach your child to add, subtract and multiply
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-admin.desktop << EOF
[Desktop Entry]
Name=multiplicationstation Admin
Comment=Math game will teach your child to add, subtract and multiply
Exec=%{_gamesbindir}/%{name} -wx
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README CHANGES
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}*.desktop 
%{_iconsdir}/*



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.6.5-2.mga3
+ Revision: 360493
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 20 2011 anaselli <anaselli> 0.6.5-1.mga1
+ Revision: 89254
- imported package multiplicationstation

